summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorKeshav Amburay2014-05-16 22:00:53 -0400
committerKeshav Amburay2014-05-16 22:00:53 -0400
commit91187ef911826e972996b082e64fbdc24d85f959 (patch)
treee0cb9908646abf3622d7ae4ee3553d21c3aa53b1
parent57398dca4d8c46e690b0fb521f1f6704d806bf83 (diff)
downloadaur-91187ef911826e972996b082e64fbdc24d85f959.tar.gz
Use no optimization 'gcc -O0'
-rw-r--r--.SRCINFO2
-rw-r--r--PKGBUILD6
2 files changed, 4 insertions, 4 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 59ab9fc7310..0c4c8db3cae 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = uefi-shell-svn
pkgdesc = UEFI Shell v2 - from Tianocore EDK2 - SVN Version
- pkgver = 15490
+ pkgver = 15536
pkgrel = 1
url = http://sourceforge.net/apps/mediawiki/tianocore/index.php?title=ShellPkg
install = uefi-shell.install
diff --git a/PKGBUILD b/PKGBUILD
index f46551ffc82..14baeb86812 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -26,7 +26,7 @@ _COMPILER="GCC48"
_pkgname="uefi-shell"
pkgname="${_pkgname}-svn"
-pkgver=15490
+pkgver=15536
pkgrel=1
pkgdesc="UEFI Shell v2 - from Tianocore EDK2 - SVN Version"
url="http://sourceforge.net/apps/mediawiki/tianocore/index.php?title=ShellPkg"
@@ -100,8 +100,8 @@ _prepare_tianocore_sources() {
sed 's| -m64 -melf_x86_64| -m64|g' -i "${EDK_TOOLS_PATH}/Conf/tools_def.template" || true
msg "Remove GCC -g debug option and add -0s -mabi=ms"
- sed 's|DEFINE GCC_ALL_CC_FLAGS = -g |DEFINE GCC_ALL_CC_FLAGS = -Os -mabi=ms |g' -i "${EDK_TOOLS_PATH}/Conf/tools_def.template" || true
- sed 's|DEFINE GCC44_ALL_CC_FLAGS = -g |DEFINE GCC44_ALL_CC_FLAGS = -Os -mabi=ms |g' -i "${EDK_TOOLS_PATH}/Conf/tools_def.template" || true
+ sed 's|DEFINE GCC_ALL_CC_FLAGS = -g |DEFINE GCC_ALL_CC_FLAGS = -O0 -mabi=ms |g' -i "${EDK_TOOLS_PATH}/Conf/tools_def.template" || true
+ sed 's|DEFINE GCC44_ALL_CC_FLAGS = -g |DEFINE GCC44_ALL_CC_FLAGS = -O0 -mabi=ms |g' -i "${EDK_TOOLS_PATH}/Conf/tools_def.template" || true
msg "Fix UDK Target Platform"
sed "s|ACTIVE_PLATFORM = Nt32Pkg/Nt32Pkg.dsc|ACTIVE_PLATFORM = ${_UDK_TARGET}|g" -i "${EDK_TOOLS_PATH}/Conf/target.template" || true